[
  {
    "chunk_id": 25,
    "chunk_type": "group",
    "human_description": "This is group 'CountryGroup' definition for report 'TimeSeriesChartReport'. Group expression: $F{ShipCountry}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"CountryGroup\">\n\t\t<expression>$F{ShipCountry}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"225\">\n\t\t\t\t<element kind=\"line\" uuid=\"d254cdea-c858-487c-b941-2e8152a76648\" x=\"0\" y=\"14\" width=\"270\" height=\"1\" />\n\t\t\t\t<element kind=\"textField\" uuid=\"6e10b23d-e3fb-4516-b1a0-b4e466af9a62\" x=\"10\" y=\"2\" width=\"150\" height=\"11\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$F{ShipCountry}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"46825cac-8de0-4435-857f-080aaecb4928\" x=\"170\" y=\"2\" width=\"100\" height=\"11\" evaluationTime=\"Group\" pattern=\"EEE, MMM d, yyyy\" evaluationGroup=\"CountryGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{DateHighestCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"chart\" chartType=\"timeSeries\" uuid=\"6ea1a5fe-762c-461d-8ace-3997f25ef8b7\" positionType=\"Float\" x=\"0\" y=\"25\" width=\"270\" height=\"175\" evaluationTime=\"Group\" evaluationGroup=\"CountryGroup\">\n\t\t\t\t\t<dataset kind=\"timeSeries\" incrementType=\"Group\" resetGroup=\"CountryGroup\" incrementGroup=\"MonthGroup\" timePeriod=\"Month\" resetType=\"Group\">\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Double Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<timePeriodExpression>$F{OrderDate}</timePeriodExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumMonthGroup} * 2d</valueExpression>\n\t\t\t\t\t\t\t<labelExpression />\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Normal Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<timePeriodExpression>$F{OrderDate}</timePeriodExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumMonthGroup}</valueExpression>\n\t\t\t\t\t\t\t<labelExpression />\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Half-Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<timePeriodExpression>$F{OrderDate}</timePeriodExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumMonthGroup} / 2d</valueExpression>\n\t\t\t\t\t\t\t<labelExpression />\n\t\t\t\t\t\t</series>\n\t\t\t\t\t</dataset>\n\t\t\t\t\t<plot showShapes=\"true\" showLines=\"true\" />\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"1033919e-4f82-4a6a-999c-63d6f23ee011\" x=\"0\" y=\"0\" width=\"270\" height=\"11\" forecolor=\"#C0C0C0\" backcolor=\"#C0C0C0\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"706bc5d4-9597-4a1a-a3c1-74498b9d7372\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"45\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"81cef1a7-ab59-49ee-9f87-94b875150d7b\" mode=\"Opaque\" x=\"45\" y=\"0\" width=\"25\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{CountryGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"57233335-a18f-45ab-b940-9cfbe4f30bb6\" mode=\"Opaque\" x=\"70\" y=\"0\" width=\"140\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"f8715763-ec7a-4c85-b563-55ca03f916d7\" mode=\"Opaque\" x=\"210\" y=\"0\" width=\"60\" height=\"11\" backcolor=\"#C0C0C0\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'TimeSeriesChartReport' group 'CountryGroup'",
    "metadata": {
      "group_name": "CountryGroup",
      "expression": "$F{ShipCountry}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  },
  {
    "chunk_id": 25,
    "chunk_type": "group",
    "human_description": "This is group 'CountryGroup' definition for report 'TimeSeriesChartReport'. Group expression: $F{ShipCountry}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"CountryGroup\">\n\t\t<expression>$F{ShipCountry}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"225\">\n\t\t\t\t<element kind=\"line\" uuid=\"d254cdea-c858-487c-b941-2e8152a76648\" x=\"0\" y=\"14\" width=\"270\" height=\"1\" />\n\t\t\t\t<element kind=\"textField\" uuid=\"6e10b23d-e3fb-4516-b1a0-b4e466af9a62\" x=\"10\" y=\"2\" width=\"150\" height=\"11\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$F{ShipCountry}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"46825cac-8de0-4435-857f-080aaecb4928\" x=\"170\" y=\"2\" width=\"100\" height=\"11\" evaluationTime=\"Group\" pattern=\"EEE, MMM d, yyyy\" evaluationGroup=\"CountryGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{DateHighestCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"chart\" chartType=\"timeSeries\" uuid=\"6ea1a5fe-762c-461d-8ace-3997f25ef8b7\" positionType=\"Float\" x=\"0\" y=\"25\" width=\"270\" height=\"175\" evaluationTime=\"Group\" evaluationGroup=\"CountryGroup\">\n\t\t\t\t\t<dataset kind=\"timeSeries\" incrementType=\"Group\" resetGroup=\"CountryGroup\" incrementGroup=\"MonthGroup\" timePeriod=\"Month\" resetType=\"Group\">\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Double Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<timePeriodExpression>$F{OrderDate}</timePeriodExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumMonthGroup} * 2d</valueExpression>\n\t\t\t\t\t\t\t<labelExpression />\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Normal Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<timePeriodExpression>$F{OrderDate}</timePeriodExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumMonthGroup}</valueExpression>\n\t\t\t\t\t\t\t<labelExpression />\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Half-Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<timePeriodExpression>$F{OrderDate}</timePeriodExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumMonthGroup} / 2d</valueExpression>\n\t\t\t\t\t\t\t<labelExpression />\n\t\t\t\t\t\t</series>\n\t\t\t\t\t</dataset>\n\t\t\t\t\t<plot showShapes=\"true\" showLines=\"true\" />\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"1033919e-4f82-4a6a-999c-63d6f23ee011\" x=\"0\" y=\"0\" width=\"270\" height=\"11\" forecolor=\"#C0C0C0\" backcolor=\"#C0C0C0\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"706bc5d4-9597-4a1a-a3c1-74498b9d7372\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"45\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"81cef1a7-ab59-49ee-9f87-94b875150d7b\" mode=\"Opaque\" x=\"45\" y=\"0\" width=\"25\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{CountryGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"57233335-a18f-45ab-b940-9cfbe4f30bb6\" mode=\"Opaque\" x=\"70\" y=\"0\" width=\"140\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"f8715763-ec7a-4c85-b563-55ca03f916d7\" mode=\"Opaque\" x=\"210\" y=\"0\" width=\"60\" height=\"11\" backcolor=\"#C0C0C0\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'TimeSeriesChartReport' group 'CountryGroup'",
    "metadata": {
      "group_name": "CountryGroup",
      "expression": "$F{ShipCountry}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  }
]